{ config, lib, pkgs, ... }:
{
  home.packages = with pkgs; lib.mkIf config.programs.rofi.enable [
    (writeScriptBin "rofiscratch" ''
      #!/bin/sh

      SCRATCHPADS=$(echo -e "Btop\nMusic\nSound\nEasyEffects" | rofi -dmenu -i -p "Scratchpads")

      case $SCRATCHPADS in
        Btop) foot -a btop -T Btop btop;;
        Music) foot -a music -T Music ncmpcpp;;
        Sound) foot -a sound -T Sound pulsemixer;;
      esac
    '')

    (writeScriptBin "rofipower" ''
      #!/bin/sh

      POWER=$(echo -e "Shutdown\nReboot\nLock\nSleep\nKill" | rofi -dmenu -i -p "Power")

      case $POWER in
        Shutdown) poweroff;;
        Reboot) reboot;;
        Lock) swaylock;;
        Sleep) systemctl suspend;;
        Kill) pkill -9 $XDG_CURRENT_DESKTOP;;
      esac
    '')
  ];
}
